Bug 89000 - Redhat 9 installaton does not test X-server. X-server does not work on Dell Latitude notebook.
Redhat 9 installaton does not test X-server. X-server does not work on Dell ...
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-16 07:39 EDT by Henry C. Jackson
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-10 12:00:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henry C. Jackson 2003-04-16 07:39:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
Redhat 9's installation does not provide test button for X-server 
configuration.  I am unable to get the X-server working on a Dell Latitude 
notebook that was working well with Redhat 8.

Version-Release number of selected component (if applicable):
Redhat 9

How reproducible:
Always

Steps to Reproduce:
1. Install Redhat 9 on Dell Latitude notebook (workstation)
2. When promted for adapter use recommended (ATI Mobility 16MB)
3. When prompted for monitor choose (Dell laptop display 1400x or 1280x
4. There is no test button to try settings.
5. Complete installation and boot.
6. The X-server cannot start.  Command line does work.
    

Actual Results:  X-server does not work

Expected Results:  X-server should have been tested during installation and 
should work after booting

Additional info:
Comment 1 Michael Fulbright 2003-04-22 12:03:40 EDT
The option to test the X server caused more problems than it solved in our
experience.

Please use redhat-config-xfree86 to setup the display on your system.
Comment 2 Brent Fox 2003-05-22 10:04:13 EDT
Does running redhat-config-xfree86 work for you?
Comment 3 Henry C. Jackson 2003-06-03 08:17:13 EDT
I loaded Redhat 9 again onto a Dell Latitude notebook with ATI Rage 128 
Mobility 16M adapter and Dell laptop panel.  Again the X-server would not 
start.  I tried redhat-config-xfree86 unsuccessfully several times from the 
command prompt.  I then copied the /etc/X11/XF86Config file from an identical 
Dell notebook running Redhat 8 to the new system.  It still would not start the 
X-server.  I will retreat to Redhat 8 again on this system until there is a 
solution.

Here is the log:


XFree86 Version 4.3.0 (Red Hat Linux release: 4.3.0-2)
Release Date: 27 February 2003
X Protocol Version 11, Revision 0, Release 6.6
Build Operating System: Linux 2.4.20-3bigmem i686 [ELF] 
Build Date: 27 February 2003
Build Host: porky.devel.redhat.com
 
	Before reporting problems, check http://www.XFree86.Org/
	to make sure that you have the latest version.
Module Loader present
OS Kernel: Linux version 2.4.20-8 (bhcompile@porky.devel.redhat.com) (gcc 
version 3.2.2 20030222 (Red Hat Linux 3.2.2-5)) #1 Thu Mar 13 17:54:28 EST 2003 
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.0.log", Time: Tue Jun  3 03:21:10 2003
(==) Using config file: "/etc/X11/XF86Config"
(==) ServerLayout "Anaconda Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "ATI Rage 128 Mobility"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Mouse1"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc105"
(**) XKB: model: "pc105"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(==) Keyboard: CustomKeycode disabled
(**) FontPath set to "unix/:7100"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(++) using VT number 7

(II) Open APM successful
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.2
	XFree86 Video Driver: 0.6
	XFree86 XInput driver : 0.4
	XFree86 Server Extension : 0.2
	XFree86 Font Renderer : 0.4
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.6
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,1130 card 0000,0000 rev 02 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 8086,1131 card 0000,0000 rev 02 class 06,04,00 hdr 01
(II) PCI: 00:1e:0: chip 8086,2448 card 0000,0000 rev 03 class 06,04,00 hdr 01
(II) PCI: 00:1f:0: chip 8086,244c card 0000,0000 rev 03 class 06,01,00 hdr 80
(II) PCI: 00:1f:1: chip 8086,244a card 8086,4541 rev 03 class 01,01,80 hdr 00
(II) PCI: 00:1f:2: chip 8086,2442 card 8086,4541 rev 03 class 0c,03,00 hdr 00
(II) PCI: 01:00:0: chip 1002,4d46 card 1028,00a3 rev 00 class 03,00,00 hdr 00
(II) PCI: 02:03:0: chip 125d,1998 card 1028,00a3 rev 10 class 04,01,00 hdr 00
(II) PCI: 02:06:0: chip 10b7,1007 card 10b7,6137 rev 00 class 07,80,00 hdr 00
(II) PCI: 02:0f:0: chip 104c,ac42 card 4000,0000 rev 00 class 06,07,00 hdr 82
(II) PCI: 02:0f:1: chip 104c,ac42 card 4800,0000 rev 00 class 06,07,00 hdr 82
(II) PCI: 02:0f:2: chip 104c,8027 card 1028,00a3 rev 00 class 0c,00,10 hdr 80
(II) PCI: 03:00:0: chip 115d,0003 card 115d,1181 rev 03 class 02,00,00 hdr 80
(II) PCI: 03:00:1: chip 115d,0103 card 115d,1181 rev 03 class 07,00,02 hdr 80
(II) PCI: End of PCI scan
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,7), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x000c (VGA_EN is set)
(II) Bus 1 I/O range:
	[0] -1	0	0x0000c000 - 0x0000c0ff (0x100) IX[B]
	[1] -1	0	0x0000c400 - 0x0000c4ff (0x100) IX[B]
	[2] -1	0	0x0000c800 - 0x0000c8ff (0x100) IX[B]
	[3] -1	0	0x0000cc00 - 0x0000ccff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0	0xfc000000 - 0xfdffffff (0x2000000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0	0xe8000000 - 0xebffffff (0x4000000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 2: bridge is at (0:30:0), (0,2,16), BCTRL: 0x0006 (VGA_EN is cleared)
(II) Bus 2 I/O range:
	[0] -1	0	0x0000e000 - 0x0000e0ff (0x100) IX[B]
	[1] -1	0	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[2] -1	0	0x0000e800 - 0x0000e8ff (0x100) IX[B]
	[3] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[4] -1	0	0x0000f000 - 0x0000f0ff (0x100) IX[B]
	[5] -1	0	0x0000f400 - 0x0000f4ff (0x100) IX[B]
	[6] -1	0	0x0000f800 - 0x0000f8ff (0x100) IX[B]
	[7] -1	0	0x0000fc00 - 0x0000fcff (0x100) IX[B]
(II) Bus 2 non-prefetchable memory range:
	[0] -1	0	0xf4000000 - 0xfbffffff (0x8000000) MX[B]
(II) Bus 2 prefetchable memory range:
	[0] -1	0	0xec000000 - 0xec0fffff (0x100000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:31:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(II) PCI-to-CardBus bridge:
(II) Bus 3: bridge is at (2:15:0), (2,3,6), BCTRL: 0x0500 (VGA_EN is cleared)
(II) PCI-to-CardBus bridge:
(II) Bus 7: bridge is at (2:15:1), (2,7,10), BCTRL: 0x05c0 (VGA_EN is cleared)
(--) PCI:*(1:0:0) ATI Technologies Inc Rage Mobility M4 AGP rev 0, Mem @ 
0xe8000000/26, 0xfcffc000/14, I/O @ 0xcc00/8
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) PCI Memory resource overlap reduced 0xe4000000 from 0xe7ffffff to 
0xe3ffffff
(II) Active PCI resource ranges:
	[0] -1	0	0x20404000 - 0x20407fff (0x4000) MX[B]
	[1] -1	0	0x20801800 - 0x20801fff (0x800) MX[B]
	[2] -1	0	0x20801000 - 0x208017ff (0x800) MX[B]
	[3] -1	0	0x20400000 - 0x20403fff (0x4000) MX[B]
	[4] -1	0	0x20800800 - 0x20800fff (0x800) MX[B]
	[5] -1	0	0x20800000 - 0x208007ff (0x800) MX[B]
	[6] -1	0	0xf8ff8000 - 0xf8ffbfff (0x4000) MX[B]
	[7] -1	0	0xf8ffd800 - 0xf8ffdfff (0x800) MX[B]
	[8] -1	0	0xec010000 - 0xec017fff (0x8000) MX[B]
	[9] -1	0	0xec000000 - 0xec00ffff (0x10000) MX[B]
	[10] -1	0	0xec01fc00 - 0xec01fc3f (0x40) MX[B]
	[11] -1	0	0xf8ffe000 - 0xf8ffffff (0x2000) MX[B]
	[12] -1	0	0xe4000000 - 0xe3ffffff (0x0) MX[B]O
	[13] -1	0	0xfcffc000 - 0xfcffffff (0x4000) MX[B](B)
	[14] -1	0	0xe8000000 - 0xebffffff (0x4000000) MX[B](B)
	[15] -1	0	0x00004080 - 0x00004087 (0x8) IX[B]
	[16] -1	0	0x00004000 - 0x0000407f (0x80) IX[B]
	[17] -1	0	0x0000e8c0 - 0x0000e8ff (0x40) IX[B]
	[18] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[19] -1	0	0x0000dce0 - 0x0000dcff (0x20) IX[B]
	[20] -1	0	0x0000bfa0 - 0x0000bfaf (0x10) IX[B]
	[21] -1	0	0x0000cc00 - 0x0000ccff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0x20404000 - 0x20407fff (0x4000) MX[B]
	[1] -1	0	0x20801800 - 0x20801fff (0x800) MX[B]
	[2] -1	0	0x20801000 - 0x208017ff (0x800) MX[B]
	[3] -1	0	0x20400000 - 0x20403fff (0x4000) MX[B]
	[4] -1	0	0x20800800 - 0x20800fff (0x800) MX[B]
	[5] -1	0	0x20800000 - 0x208007ff (0x800) MX[B]
	[6] -1	0	0xf8ff8000 - 0xf8ffbfff (0x4000) MX[B]
	[7] -1	0	0xf8ffd800 - 0xf8ffdfff (0x800) MX[B]
	[8] -1	0	0xec010000 - 0xec017fff (0x8000) MX[B]
	[9] -1	0	0xec000000 - 0xec00ffff (0x10000) MX[B]
	[10] -1	0	0xec01fc00 - 0xec01fc3f (0x40) MX[B]
	[11] -1	0	0xf8ffe000 - 0xf8ffffff (0x2000) MX[B]
	[12] -1	0	0xe4000000 - 0xe3ffffff (0x0) MX[B]O
	[13] -1	0	0xfcffc000 - 0xfcffffff (0x4000) MX[B](B)
	[14] -1	0	0xe8000000 - 0xebffffff (0x4000000) MX[B](B)
	[15] -1	0	0x00004080 - 0x00004087 (0x8) IX[B]
	[16] -1	0	0x00004000 - 0x0000407f (0x80) IX[B]
	[17] -1	0	0x0000e8c0 - 0x0000e8ff (0x40) IX[B]
	[18] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[19] -1	0	0x0000dce0 - 0x0000dcff (0x20) IX[B]
	[20] -1	0	0x0000bfa0 - 0x0000bfaf (0x10) IX[B]
	[21] -1	0	0x0000cc00 - 0x0000ccff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x203fffff (0x20300000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x203fffff (0x20300000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x20404000 - 0x20407fff (0x4000) MX[B]
	[6] -1	0	0x20801800 - 0x20801fff (0x800) MX[B]
	[7] -1	0	0x20801000 - 0x208017ff (0x800) MX[B]
	[8] -1	0	0x20400000 - 0x20403fff (0x4000) MX[B]
	[9] -1	0	0x20800800 - 0x20800fff (0x800) MX[B]
	[10] -1	0	0x20800000 - 0x208007ff (0x800) MX[B]
	[11] -1	0	0xf8ff8000 - 0xf8ffbfff (0x4000) MX[B]
	[12] -1	0	0xf8ffd800 - 0xf8ffdfff (0x800) MX[B]
	[13] -1	0	0xec010000 - 0xec017fff (0x8000) MX[B]
	[14] -1	0	0xec000000 - 0xec00ffff (0x10000) MX[B]
	[15] -1	0	0xec01fc00 - 0xec01fc3f (0x40) MX[B]
	[16] -1	0	0xf8ffe000 - 0xf8ffffff (0x2000) MX[B]
	[17] -1	0	0xe4000000 - 0xe3ffffff (0x0) MX[B]O
	[18] -1	0	0xfcffc000 - 0xfcffffff (0x4000) MX[B](B)
	[19] -1	0	0xe8000000 - 0xebffffff (0x4000000) MX[B](B)
	[20] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[21] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[22] -1	0	0x00004080 - 0x00004087 (0x8) IX[B]
	[23] -1	0	0x00004000 - 0x0000407f (0x80) IX[B]
	[24] -1	0	0x0000e8c0 - 0x0000e8ff (0x40) IX[B]
	[25] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[26] -1	0	0x0000dce0 - 0x0000dcff (0x20) IX[B]
	[27] -1	0	0x0000bfa0 - 0x0000bfaf (0x10) IX[B]
	[28] -1	0	0x0000cc00 - 0x0000ccff (0x100) IX[B](B)
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "fbdevhw"
(II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
(II) Module fbdevhw: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 0.0.2
	ABI class: XFree86 Video Driver, version 0.6
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension XFree86-DRI
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.13.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.2
(II) Loading extension RECORD
(II) LoadModule: "freetype"
(II) Loading /usr/X11R6/lib/modules/fonts/libfreetype.a
(II) Module freetype: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 2.0.2
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font FreeType
(II) LoadModule: "type1"
(II) Loading /usr/X11R6/lib/modules/fonts/libtype1.a
(II) Module type1: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.2
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.4
(II) Loading font Type1
(II) Loading font CID
(II) LoadModule: "r128"
(II) Loading /usr/X11R6/lib/modules/drivers/r128_drv.o
(II) Module r128: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 4.0.1
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.6
(II) LoadModule: "ati"
(II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
(II) Module ati: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 6.4.18
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.6
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.4
(II) ATI: ATI driver (version 6.4.18) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets:
	ATI Rage 128 Mobility M3 LE (PCI), ATI Rage 128 Mobility M3 LF (AGP),
	ATI Rage 128 Mobility M4 MF (AGP), ATI Rage 128 Mobility M4 ML (AGP),
	ATI Rage 128 Pro GL PA (AGP?), ATI Rage 128 Pro GL PB (AGP?),
	ATI Rage 128 Pro GL PC (AGP?), ATI Rage 128 Pro GL PD (PCI),
	ATI Rage 128 Pro GL PE (AGP?), ATI Rage 128 Pro GL PF (AGP),
	ATI Rage 128 Pro VR PG (AGP?), ATI Rage 128 Pro VR PH (AGP?),
	ATI Rage 128 Pro VR PI (AGP?), ATI Rage 128 Pro VR PJ (AGP?),
	ATI Rage 128 Pro VR PK (AGP?), ATI Rage 128 Pro VR PL (AGP?),
	ATI Rage 128 Pro VR PM (AGP?), ATI Rage 128 Pro VR PN (AGP?),
	ATI Rage 128 Pro VR PO (AGP?), ATI Rage 128 Pro VR PP (PCI),
	ATI Rage 128 Pro VR PQ (AGP?), ATI Rage 128 Pro VR PR (PCI),
	ATI Rage 128 Pro VR PS (AGP?), ATI Rage 128 Pro VR PT (AGP?),
	ATI Rage 128 Pro VR PU (AGP?), ATI Rage 128 Pro VR PV (AGP?),
	ATI Rage 128 Pro VR PW (AGP?), ATI Rage 128 Pro VR PX (AGP?),
	ATI Rage 128 GL RE (PCI), ATI Rage 128 GL RF (AGP),
	ATI Rage 128 RG (AGP), ATI Rage 128 VR RK (PCI),
	ATI Rage 128 VR RL (AGP), ATI Rage 128 4X SE (AGP?),
	ATI Rage 128 4X SF (AGP?), ATI Rage 128 4X SG (AGP?),
	ATI Rage 128 4X SH (AGP?), ATI Rage 128 4X SK (AGP?),
	ATI Rage 128 4X SL (AGP?), ATI Rage 128 4X SM (AGP),
	ATI Rage 128 4X SN (AGP?), ATI Rage 128 Pro ULTRA TF (AGP),
	ATI Rage 128 Pro ULTRA TL (AGP), ATI Rage 128 Pro ULTRA TR (AGP),
	ATI Rage 128 Pro ULTRA TS (AGP?), ATI Rage 128 Pro ULTRA TT (AGP?),
	ATI Rage 128 Pro ULTRA TU (AGP?)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
	ATI Radeon VE/7000 QY (AGP), ATI Radeon VE/7000 QZ (AGP),
	ATI Radeon Mobility M7 LW (AGP),
	ATI Mobility FireGL 7800 M7 LX (AGP),
	ATI Radeon Mobility M6 LY (AGP), ATI Radeon Mobility M6 LZ (AGP),
	ATI FireGL 8700/8800 QH (AGP), ATI Radeon 8500 QI (AGP),
	ATI Radeon 8500 QJ (AGP), ATI Radeon 8500 QK (AGP),
	ATI Radeon 8500 QL (AGP), ATI Radeon 9100 QM (AGP),
	ATI Radeon 8500 QN (AGP), ATI Radeon 8500 QO (AGP),
	ATI Radeon 8500 Qh (AGP), ATI Radeon 8500 Qi (AGP),
	ATI Radeon 8500 Qj (AGP), ATI Radeon 8500 Qk (AGP),
	ATI Radeon 8500 Ql (AGP), ATI Radeon 8500 BB (AGP),
	ATI Radeon 7500 QW (AGP), ATI Radeon 7500 QX (AGP),
	ATI Radeon 9000 Id (AGP), ATI Radeon 9000 Ie (AGP),
	ATI Radeon 9000 If (AGP), ATI Radeon 9000 Ig (AGP),
	ATI Radeon Mobility M9 Ld (AGP), ATI Radeon Mobility M9 Le (AGP),
	ATI Radeon Mobility M9 Lf (AGP), ATI Radeon Mobility M9 Lg (AGP),
	ATI Radeon 9500 AD (AGP), ATI Radeon 9500 AE (AGP),
	ATI Radeon 9500 AF (AGP), ATI FireGL Z1/X1 AG (AGP),
	ATI Radeon 9700 Pro ND (AGP), ATI Radeon 9700/9500Pro NE (AGP),
	ATI Radeon 9700 NF (AGP), ATI FireGL X1 NG (AGP)
(II) Primary Device is: PCI 01:00:0
(--) Assigning device section with no busID to primary device
(--) Chipset ATI Rage 128 Mobility M4 MF (AGP) found
(II) Loading sub module "r128"
(II) LoadModule: "r128"
(II) Reloading /usr/X11R6/lib/modules/drivers/r128_drv.o
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x203fffff (0x20300000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x20404000 - 0x20407fff (0x4000) MX[B]
	[6] -1	0	0x20801800 - 0x20801fff (0x800) MX[B]
	[7] -1	0	0x20801000 - 0x208017ff (0x800) MX[B]
	[8] -1	0	0x20400000 - 0x20403fff (0x4000) MX[B]
	[9] -1	0	0x20800800 - 0x20800fff (0x800) MX[B]
	[10] -1	0	0x20800000 - 0x208007ff (0x800) MX[B]
	[11] -1	0	0xf8ff8000 - 0xf8ffbfff (0x4000) MX[B]
	[12] -1	0	0xf8ffd800 - 0xf8ffdfff (0x800) MX[B]
	[13] -1	0	0xec010000 - 0xec017fff (0x8000) MX[B]
	[14] -1	0	0xec000000 - 0xec00ffff (0x10000) MX[B]
	[15] -1	0	0xec01fc00 - 0xec01fc3f (0x40) MX[B]
	[16] -1	0	0xf8ffe000 - 0xf8ffffff (0x2000) MX[B]
	[17] -1	0	0xe4000000 - 0xe3ffffff (0x0) MX[B]O
	[18] -1	0	0xfcffc000 - 0xfcffffff (0x4000) MX[B](B)
	[19] -1	0	0xe8000000 - 0xebffffff (0x4000000) MX[B](B)
	[20] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[21] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[22] -1	0	0x00004080 - 0x00004087 (0x8) IX[B]
	[23] -1	0	0x00004000 - 0x0000407f (0x80) IX[B]
	[24] -1	0	0x0000e8c0 - 0x0000e8ff (0x40) IX[B]
	[25] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[26] -1	0	0x0000dce0 - 0x0000dcff (0x20) IX[B]
	[27] -1	0	0x0000bfa0 - 0x0000bfaf (0x10) IX[B]
	[28] -1	0	0x0000cc00 - 0x0000ccff (0x100) IX[B](B)
(II) resource ranges after probing:
	[0] -1	0	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0	0x00100000 - 0x203fffff (0x20300000) MX[B]E(B)
	[2] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0	0x20404000 - 0x20407fff (0x4000) MX[B]
	[6] -1	0	0x20801800 - 0x20801fff (0x800) MX[B]
	[7] -1	0	0x20801000 - 0x208017ff (0x800) MX[B]
	[8] -1	0	0x20400000 - 0x20403fff (0x4000) MX[B]
	[9] -1	0	0x20800800 - 0x20800fff (0x800) MX[B]
	[10] -1	0	0x20800000 - 0x208007ff (0x800) MX[B]
	[11] -1	0	0xf8ff8000 - 0xf8ffbfff (0x4000) MX[B]
	[12] -1	0	0xf8ffd800 - 0xf8ffdfff (0x800) MX[B]
	[13] -1	0	0xec010000 - 0xec017fff (0x8000) MX[B]
	[14] -1	0	0xec000000 - 0xec00ffff (0x10000) MX[B]
	[15] -1	0	0xec01fc00 - 0xec01fc3f (0x40) MX[B]
	[16] -1	0	0xf8ffe000 - 0xf8ffffff (0x2000) MX[B]
	[17] -1	0	0xe4000000 - 0xe3ffffff (0x0) MX[B]O
	[18] -1	0	0xfcffc000 - 0xfcffffff (0x4000) MX[B](B)
	[19] -1	0	0xe8000000 - 0xebffffff (0x4000000) MX[B](B)
	[20] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[21] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[22] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[23] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[24] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[25] -1	0	0x00004080 - 0x00004087 (0x8) IX[B]
	[26] -1	0	0x00004000 - 0x0000407f (0x80) IX[B]
	[27] -1	0	0x0000e8c0 - 0x0000e8ff (0x40) IX[B]
	[28] -1	0	0x0000ec00 - 0x0000ecff (0x100) IX[B]
	[29] -1	0	0x0000dce0 - 0x0000dcff (0x20) IX[B]
	[30] -1	0	0x0000bfa0 - 0x0000bfaf (0x10) IX[B]
	[31] -1	0	0x0000cc00 - 0x0000ccff (0x100) IX[B](B)
	[32] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[33] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.6
(II) R128(0): PCI bus 1 card 0 func 0
(**) R128(0): Depth 24, (--) framebuffer bpp 32
(II) R128(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) R128(0): Default visual is TrueColor
(==) R128(0): RGB weight 888
(II) R128(0): Using 8 bits per RGB (8 bit DAC)
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.6
(II) R128(0): initializing int10
(II) R128(0): Primary V_BIOS segment is: 0xc000
(--) R128(0): Chipset: "ATI Rage 128 Mobility M4 MF (AGP)" (ChipID = 0x4d46)
(--) R128(0): Linear framebuffer at 0xe8000000
(--) R128(0): MMIO registers at 0xfcffc000
(--) R128(0): VideoRAM: 16384 kByte (128-bit SDR SGRAM 1:1)
(**) R128(0): Using flat panel for display
(II) R128(0): Panel size: 1400x1050
(II) R128(0): Panel ID: IBM ITSX95              
(II) R128(0): Panel Type: Color, Single, TFT
(II) R128(0): Panel Interface: LVDS
(II) R128(0): PLL parameters: rf=2700 rd=60 min=12500 max=25000; xclk=10500
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.6
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
	compiled for 4.3.0, module version = 1.1.0
	ABI class: XFree86 Video Driver, version 0.6
(II) R128(0): VESA BIOS detected
(II) R128(0): VESA VBE Version 2.0
(II) R128(0): VESA VBE Total Mem: 16384 kB
(II) R128(0): VESA VBE OEM: ATI MOBILE M4
(II) R128(0): VESA VBE OEM Software Rev: 1.0
(II) R128(0): VESA VBE OEM Vendor: ATI Technologies Inc.
(II) R128(0): VESA VBE OEM Product: M4  
(II) R128(0): VESA VBE OEM Product Rev: 01.00
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
(II) R128(0): VESA VBE DDC supported
(II) R128(0): VESA VBE DDC Level none
(II) R128(0): VESA VBE DDC transfer in appr. 2 sec.
(II) R128(0): VESA VBE DDC read failed
(==) R128(0): Using gamma correction (1.0, 1.0, 1.0)
(II) R128(0): Monitor0: Using hsync range of 31.50-90.00 kHz
(II) R128(0): Monitor0: Using vrefresh range of 59.00-75.00 Hz
(II) R128(0): Clock range:  12.50 to 250.00 MHz
(II) R128(0): Not using default mode "640x350" (vrefresh out of range)
(II) R128(0): Not using default mode "320x175" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "640x400" (vrefresh out of range)
(II) R128(0): Not using default mode "320x200" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "720x400" (no mode of this name)
(II) R128(0): Not using default mode "360x200" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "640x480" (hsync out of range)
(II) R128(0): Not using default mode "320x240" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "640x480" (hsync out of range)
(II) R128(0): Not using default mode "320x240" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "640x480" (hsync out of range)
(II) R128(0): Not using default mode "320x240" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "640x480" (vrefresh out of range)
(II) R128(0): Not using default mode "320x240" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "800x600" (vrefresh out of range)
(II) R128(0): Not using default mode "400x300" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "800x600" (hsync out of range)
(II) R128(0): Not using default mode "400x300" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "800x600" (hsync out of range)
(II) R128(0): Not using default mode "400x300" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "800x600" (hsync out of range)
(II) R128(0): Not using default mode "400x300" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "800x600" (vrefresh out of range)
(II) R128(0): Not using default mode "400x300" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "512x384" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (vrefresh out of range)
(II) R128(0): Not using default mode "512x384" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (vrefresh out of range)
(II) R128(0): Not using default mode "512x384" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (vrefresh out of range)
(II) R128(0): Not using default mode "512x384" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (vrefresh out of range)
(II) R128(0): Not using default mode "512x384" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1152x864" (no mode of this name)
(II) R128(0): Not using default mode "576x432" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1280x960" (no mode of this name)
(II) R128(0): Not using default mode "640x480" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1280x960" (no mode of this name)
(II) R128(0): Not using default mode "640x480" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "640x512" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1280x1024" (vrefresh out of range)
(II) R128(0): Not using default mode "640x512" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1280x1024" (hsync out of range)
(II) R128(0): Not using default mode "640x512" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1600x1200" (no mode of this name)
(II) R128(0): Not using default mode "800x600" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1600x1200" (no mode of this name)
(II) R128(0): Not using default mode "800x600" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1600x1200" (no mode of this name)
(II) R128(0): Not using default mode "800x600" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1600x1200" (no mode of this name)
(II) R128(0): Not using default mode "800x600" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1600x1200" (no mode of this name)
(II) R128(0): Not using default mode "800x600" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1792x1344" (no mode of this name)
(II) R128(0): Not using default mode "896x672" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1792x1344" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "896x672" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1856x1392" (no mode of this name)
(II) R128(0): Not using default mode "928x696" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1856x1392" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "928x696" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1920x1440" (no mode of this name)
(II) R128(0): Not using default mode "960x720" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1920x1440" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "960x720" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "832x624" (no mode of this name)
(II) R128(0): Not using default mode "416x312" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1152x768" (no mode of this name)
(II) R128(0): Not using default mode "576x384" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1152x864" (no mode of this name)
(II) R128(0): Not using default mode "576x432" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "700x525" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1400x1050" (vrefresh out of range)
(II) R128(0): Not using default mode "700x525" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1400x1050" (hsync out of range)
(II) R128(0): Not using default mode "700x525" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1400x1050" (hsync out of range)
(II) R128(0): Not using default mode "700x525" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1600x1024" (no mode of this name)
(II) R128(0): Not using default mode "800x512" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1920x1200" (no mode of this name)
(II) R128(0): Not using default mode "960x600" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1920x1440" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "960x720" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "2048x1536" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "2048x1536" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "2048x1536" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using default mode "1024x768" (bad mode 
clock/interlace/doublescan)
(II) R128(0): Not using mode "1024x768" (no mode of this name)
(II) R128(0): Not using mode "800x600" (no mode of this name)
(II) R128(0): Not using mode "640x480" (no mode of this name)
(II) R128(0): Not using default mode "1400x1050" (width too large for virtual 
size)
(II) R128(0): Not using default mode "1280x1024" (width too large for virtual 
size)
(EE) R128(0): Virtual height (0) is too small for the hardware (min 128)
(II) UnloadModule: "ati"
(II) UnloadModule: "ddc"
(II) UnloadModule: "vbe"
(II) Unloading /usr/X11R6/lib/modules/libvbe.a
(II) UnloadModule: "ddc"
(II) Unloading /usr/X11R6/lib/modules/libddc.a
(II) UnloadModule: "int10"
(II) Unloading /usr/X11R6/lib/modules/linux/libint10.a
(II) UnloadModule: "vgahw"
(II) Unloading /usr/X11R6/lib/modules/libvgahw.a
(II) UnloadModule: "r128"
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

When reporting a problem related to a server crash, please send the full server 
output, not just the last messages. This can be found in the log 
file "/var/log/XFree86.0.log". Please report problems to xfree86@xfree86.org.





Henry C. Jackson, PE
Great Lakes and Ohio River Division
US Army Corps of Engineers
PO Box 1159 (550 Main Street)
Cincinnati, OH 45201-1159
E-mail: henry.c.jackson@lrdor.usace.army.mil
Voice: (513) 684-3074
Fax:    (513) 684-3039
 

-----Original Message-----
From: bugzilla@redhat.com [mailto:bugzilla@redhat.com] 
Sent: Thursday, May 22, 2003 10:06 AM
To: Jackson, Henry C
Subject: [Bug 89000] Redhat 9 installaton does not test X-server. X-server does 
not work on Dell Latitude notebook.

Please do not reply directly to this email. All additional comments should be 
made in the comments box of this bug report.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=89000


bfox@redhat.com changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEW                         |NEEDINFO




------- Additional Comments From bfox@redhat.com  2003-05-22 10:04 ------- Does 
running redhat-config-xfree86 work for you?



------- You are receiving this mail because: -------
You reported the bug, or are watching the reporter.
Comment 4 Brent Fox 2003-09-10 12:00:17 EDT
Well, I don't really know how to proceed since you've rolled back to RHL 8.0. 
In my testing, the r128 drivers worked ok with RHL 9.  Closing as 'worksforme'.

Note You need to log in before you can comment on or make changes to this bug.